package com.ykMap.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serializable;

/**
 * 分页查询单位内外的车辆任务请求类
 *
 * @author wu
 * @since 2025/3/14 14:22
 */
@Data
@ApiModel("分页查询单位内外的车辆任务请求类")
public class CarPageRequest implements Serializable {
    private static final long serialVersionUID = 1031466955513130671L;
    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页 默认1")
    public Integer pageNo = 1;

    /**
     * 每页显示条数
     */
    @ApiModelProperty(value = "每页显示条数 默认10")
    public Integer pageSize = 10;

    /**
     * 距离单位距离
     */
    @ApiModelProperty(value = "距离单位距离(米) 默认200米")
    public double distance = 200;

    /**
     * 单位内外 1单位外  2单位内
     */
    @ApiModelProperty(value = "单位内外 1单位外  2单位内", required = true)
    @NotNull(message = "单位内外不能为空")
    private Integer type;
}
